(* Пример использования вызова access *)
uses linux,stdio;

const
  filename = 'afile';
  
begin
  if not access (filename, R_OK) then
  begin
    fprintf(stderr, 'Пользователь не имеет доступа на чтение к файлу %s'#10, [filename]);
    halt(1);
  end;
  writeln(filename, ' доступен для чтения, продолжаем');
  (* Остальная программа *)
end.